classification
Title: [CI] Azure Pipeline: Initialize Agent failed
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pablogsal, steve.dower, vstinner
Priority: normal Keywords:

Created on 2018-09-28 13:09 by vstinner, last changed 2018-12-18 21:50 by vstinner. This issue is now closed.

Messages (4)
msg326633 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-09-28 13:09
Error: "Initialize Agent failed". Sorry... I don't see any additional information, only this error message...

Failed build:
https://python.visualstudio.com/cpython/_build/results?buildId=31597&view=logs

Source:
https://github.com/python/cpython/pull/9619

It's not the first time that I see this issue.
msg326634 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-09-28 13:11
Ah, I found more info:

##[Error 1]
The agent: Hosted Agent lost communication with the server. Verify the machine is running and has a healthy network connection. For more information, see: https://go.microsoft.com/fwlink/?linkid=846610 

##[Error 2]
The request was failed due to an internal service error. Please try again.
msg326679 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-29 14:25
I'll pass it along in case someone is collecting statistics on the team, but unless it's consistently broken for us (e.g. as apt-get was recently) there's not much value in opening a bug. Transient failures occur, ultimately, and nobody needs encouragement to add the "re-run check" feature besides GitHub (and their response is to use the new UI, which is also a top priority for Pipelines right now).

Victor, if you'd like your account enabled to be able to restart builds though the Azure DevOps page, send me your Microsoft Account email(live.com/hotmail.com/etc) and I'll happily add you. But I'm still not sure whether that hooks up properly with GitHub's checks.
msg332084 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-18 21:50
I didn't see the failure recently, so I close the issue.
History
Date User Action Args
2018-12-18 21:50:59vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg332084

stage: resolved
2018-09-29 14:25:22steve.dowersetmessages: + msg326679
2018-09-28 13:11:20vstinnersetnosy: + pablogsal
2018-09-28 13:11:14vstinnersetmessages: + msg326634
2018-09-28 13:09:48vstinnercreate